/* Copyright (c) 1990 by Carrick Sean Casey. */
/* For copying and distribution information, see the file COPYING. */

/* "forum" global variables */

#include "fn.h"
#include "../murgil/ipcf.h"

/* non-global definitions */
char packetbuffer[USER_BUF_SIZE];		/* packet buffer */
char messagebuffer[1024];		/* generic large buffer */
char messagebuffer2[256];		/* generic large buffer */

/* global defs */
char *pp = packetbuffer;	/* packet pointer */
char *pbuf = packetbuffer + 1;	/* packet buffer pointer */
char *mbuf = messagebuffer;	/* message buffer */
char *mbuf2 = messagebuffer2;	/* message buffer */
char *mynick= 0;		/* nickname of user */
char *myloginid = 0;		/* login id of user */
char *mypass = "";		/* password of user */
char *mygroup = "";		/* requested group */
int beeping = 0;		/* 1 if beeping turned on */
int connected = 0;		/* 1 when server validates us */
char thishost[132];		/* our hostname */
char continued = 0;		/* did we bg then fg this job? */
int whoflg = 0;			/* just do a who at startup */
time_t curtime;			/* current time */
int linenumber = 0;		/* current screen line number */


/* flags set in .forumrc */
int m_whoheader = 1;	/* who header output */
int m_groupheader = 1;	/* group header output */
int m_nomesg = 0;	/* turn off messages while in forum */
int m_watchtime = 0;	/* using boring time format */

TTYINFO ttyinfo;

GLOBS gv = {
	CMDCHAR,	/* cmdchar */
	0,		/* verifyquit */
	0,		/* pauseonshell */
	1,		/* interactive */
	0, 		/* paging */
	15, 		/* phistory */
	250,		/* bufferlines */
	0,		/* groupblanks */
	"fn.log",	/* logfile */
	0,		/* restricted */
	"normal",	/* timedisplay */
	1		/* beeps */
};
