/* Copyright (c) 1989 by Carrick Sean Casey. All rights reserved. */
/* For copying and distribution information, see the file "copyright.h." */

/* external definitions for "forum" global variables */

/* defined in port.c */
extern char *hostname; 	/* default hostname for connects */
extern int portnumber;	/* default INET port number */

/* defined in split.c */
extern char *fields[MAX_FIELDS];	/* split fields */

/* global fn variables settable with fn */
extern GLOBS gv;
extern TTYINFO ttyinfo;
	
/* defined in cglob.c */
extern char *pp;		/* packet pointer */
extern char *pbuf;		/* packet buffer pointer */
extern char *mynick;		/* nickname of user */
extern char *myloginid;		/* login id */
extern char *mypass;		/* password of user */
extern char *mygroup;		/* requested group */
extern char *mbuf;		/* message buffer */
extern char *mbuf2;		/* message buffer */
extern int beeping;		/* 1 if beeping turned on */
extern connected;		/* whether we are validated or not */
extern char thishost[];		/* our hostname */
extern char continued;		/* did we bg then fg this job? */
extern int whoflg;		/* just do a who at startup */
extern time_t curtime;		/* current time */
extern int linenumber;

/* flags set in .forumrc */
extern int m_whoheader;		/* who header output */
extern int m_groupheader;	/* group header output */
extern int m_nomesg;		/* turn off messages while in forum */
extern int m_watchtime;		/* using boring time format */
